/* playfair-display-regular - latin */
@font-face {
	font-family: 'Playfair Display';
	font-style: normal;
	font-weight: 400;
	font-display:swap;
	src: local(''),
		 url('https://static.immoserver.ch/fonts/google/playfair-display-v30-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url('https://static.immoserver.ch/fonts/google/playfair-display-v30-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* playfair-display-700 - latin */
@font-face {
	font-family: 'Playfair Display';
	font-style: normal;
	font-weight: 700;
	font-display:swap;
	src: local(''),
		 url('https://static.immoserver.ch/fonts/google/playfair-display-v30-latin-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url('https://static.immoserver.ch/fonts/google/playfair-display-v30-latin-700.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-regular - latin */
@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: local(''),
			 url('https://static.immoserver.ch/fonts/google/roboto-v30-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
			 url('https://static.immoserver.ch/fonts/google/roboto-v30-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-700 - latin */
@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 700;
	font-display: swap;
	src: local(''),
			 url('https://static.immoserver.ch/fonts/google/roboto-v30-latin-700.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
			 url('https://static.immoserver.ch/fonts/google/roboto-v30-latin-700.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

html,body
{
	margin:0;
	padding:0;
	font-family: 'Roboto', sans-serif;
	color:#222;
}

a 
{
	color: inherit;
	text-decoration: none;
}

header
{
	background:white;
	border-bottom: 1px solid #f3f3f3;
	position:fixed;
	top:0;
	width:100%;
	z-index:1000;
}

.center
{
	padding:2.5rem;
	box-sizing: border-box;
	margin:auto;
	position:relative;
}

header .center
{
	width:100%;
}

main .center
{
	max-width:80rem;
	padding:0 2.5rem;
}


header .inner
{
	display:flex;
	justify-content: space-between;
	align-items: center;
}

header .logo img
{
	width:24em;
	max-width:65vw;
	display:block;
}

.nav-toggle
{
	position:relative;
	font-size:.75em;
	padding:0;
	cursor:pointer;
	background:#222;
	-webkit-transition: .5s ease-in-out;
	transition: .5s ease-in-out;
	width:3.5em;
	height:3.5em;
	border:none;
	display:block;
}

.nav-toggle:focus
{
	outline: none;
}

.nav-toggle span
{
	display: block;
	position: absolute;
	height: 4px;
	background: white;
	opacity: 1;
	left: .75em;
	right: .75em;
	-webkit-transform: rotate(0deg);
	-ms-transform: rotate(0deg);
	transform: rotate(0deg);
	-webkit-transition: .25s ease-in-out;
	transition: .25s ease-in-out;
}

.nav-toggle span:nth-child(1) { top: 12px; }
.nav-toggle span:nth-child(2),.nav-toggle span:nth-child(3) { top: 19px; }
.nav-toggle span:nth-child(4) { top: 26px;}
.nav-toggle.open span:nth-child(1) { top: 12px; right: 50%; left: 50%;}
.nav-toggle.open span:nth-child(2) { -webkit-transform: rotate(45deg); -ms-transform: rotate(45deg); transform: rotate(45deg); }
.nav-toggle.open span:nth-child(3) { -webkit-transform: rotate(-45deg); -ms-transform: rotate(-45deg); transform: rotate(-45deg); }
.nav-toggle.open span:nth-child(4) { top: 26px; right: 50%; left: 50%; }

header .main
{
	display:none;
}

header.open .main
{
	display:flex;
}

header.open .burger
{
	display:flex;
	justify-content: flex-end;
}

header.open 
{
	position:fixed;
	right:0;
	top:0;
	bottom:0;
	left:0;
	display:flex;
	flex-direction:column;
	
}

header nav
{
	flex: 1 1 auto;
	flex-direction: column;
	align-items: center;
	justify-content: center;
}

header nav a
{
	padding:.1em 0;
}

footer .center
{
	display:flex;
	flex-wrap: wrap;
	gap:.5em 1em;
	justify-content: center;
}

section
{
	border-bottom: 1px solid #f3f3f3;
	padding:2.5rem 0;
	scroll-margin-top: var(--header-height);
}

section:first-child
{
	padding:0;
}

section:nth-child(even)
{
	background:#f3f3f3;
}

h1,
h2,
header nav a
{
	font-family: 'Playfair Display', serif;
	line-height:1.25em;
	font-weight:normal;
}

h1
{
	font-size: 3em;
}

h1,h2
{
	text-align:center;
}

.typo
{
	margin:1em 0;
	line-height:1.5em;
}

.typo a:hover,
footer a:hover,
.login form a:hover,
nav a:hover
{
	text-decoration:underline;
}

section > h1,
section > h2,
section > .typo
{
	max-width:80rem;
	margin:1em auto;
	box-sizing:border-box;
	padding:0 2.5rem;
	display:block;
}


section > h1 + h2
{
	margin-top:-1em;
}

.slideshow img
{
	width:100%;
	display:block;
}

.slideshow .slide
{
	width:100%;
	height:100%;
}

button, 
input, 
optgroup, 
select, 
textarea
{
	margin: 0;
	font-family: inherit;
}

input[type=text],
input[type=password],
textarea,
button,
.button
{
	width: 100%;
	padding: .375em .75em;
	font-size: 1em;
	line-height: 1.5;
	color: #495057;
	background-color: #fff;
	background-clip: padding-box;
	border: 1px solid #ced4da;
	border-radius: .25em;
	transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
	box-sizing: border-box;
}

textarea
{
	display: block;
	height:10em;
}

.selectables
{
	margin-bottom: 1rem;
	position: relative;
}

.selectables > label
{
	display:flex;
	gap:.5em;
	line-height: 1.2em;
	align-items: baseline;
}

.form-group.selectables .form-warning {
	position: static;
	padding: 0 .75em;
	align-self: baseline;
}

.selectables:has(.form-warning) {
	display: grid;
	grid-template-columns: auto auto;
	gap: 1em;
}

.selectables > label a
{
	text-decoration: underline;
}

.selectables input
{
	line-height: 1.2em;
}

.form-label-group
{
	position: relative;
	margin-bottom: 1rem;
}

.login .form-warning,
.ajax-form .form-warning,
.form-label-group > input,
.form-label-group > textarea,
.form-label-group > label
{
	padding: .75em .75em;
}

.login .form-warning,
.ajax-form .form-warning,
.form-label-group > label
{
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	margin-bottom: 0;
	line-height: 1.5;
	color: #495057;
	border: 1px solid transparent;
	border-radius: .25rem;
	transition: all .1s ease-in-out;
	box-sizing: border-box;
	text-align:left;
	pointer-events: none;
}

.form-label-group input::-webkit-input-placeholder,
.form-label-group textarea::-webkit-input-placeholder
{
	color: transparent;
}

.form-label-group input:-ms-input-placeholder,
.form-label-group textarea:-ms-input-placeholder
{
	color: transparent;
}

.form-label-group input::-ms-input-placeholder,
.form-label-group textarea::-ms-input-placeholder
{
	color: transparent;
}

.form-label-group input::-moz-placeholder,
.form-label-group textarea::-moz-placeholder
{
	color: transparent;
}

.form-label-group input::placeholder,
.form-label-group textarea::placeholder
{
	color: transparent;
}

.form-label-group input:not(:placeholder-shown),
.form-label-group textarea:not(:placeholder-shown)
{
	padding-top: calc(.75em + .75em * (2 / 3));
	padding-bottom: calc(.75em / 3);
}

.form-label-group input:not(:-ms-input-placeholder),
.form-label-group textarea:not(:-ms-input-placeholder)
{
	padding-top: calc(.75em + .75em * (2 / 3));
	padding-bottom: calc(.75em / 3);
}

.form-label-group input:not(:placeholder-shown) ~ label,
.form-label-group textarea:not(:placeholder-shown) ~ label,
.form-label-group input:-webkit-autofill ~ label
{
	padding-top: calc(.75em / 3);
	padding-bottom: calc(.75em / 3);
	font-size: 12px;
	color: #777;
}

.form-label-group input:not(:-ms-input-placeholder) ~ label,
.form-label-group textarea:not(:-ms-input-placeholder) ~ label,
.form-label-group input:-webkit-autofill ~ label
{
	padding-top: calc(.75em / 3);
	padding-bottom: calc(.75em / 3);
	font-size: 12px;
	color: #777;
}

form button,
.button,
button.primary
{
	background-color: #598002;
	color:white;
	padding: .5em 1em;
	border-radius: .25em;
	cursor: pointer;
	text-align:center;
	transition: background-color .3s;
}

form button:hover,
.button:hover
{
	background-color:#364e01;
}

.row
{
	display:flex;
	justify-content: center;
}

.row > .col
{
	width:50%;
	
}

.row.padded
{
	margin:0 -2.5rem;
}

.row.padded > .col
{
	padding:0 2.5rem;
	box-sizing: border-box;
	border-right:1px solid #f3f3f3;
}

.row.padded > .col:last-child
{
	border-right:none;
}



.login .row
{
	position:relative;
	min-height:100vh;
	background:white;
	align-items: center;
	overflow: hidden;
}

.login .login-links
{
	justify-content: center;
	display: flex;
	gap:1.25em;
	font-size:smaller;
	margin:2.5em;
	color: #999;
}

.login .col:first-child{width:38.2%; padding:8rem 2rem;box-sizing: border-box; text-align:center;}
.login .col:last-child{width:61.8%; display:flex;align-self:stretch;align-items: stretch;}
.login .cycle-slideshow
{
	width:100%;
}

.login .slide
{
	width:100%;
	height:100%;
	background: center center/cover no-repeat;
}

.login h2
{
	padding:0 4vw;
	font-size:1.25vw;
}

#login
{
	background:white;
	width:25em;
	max-width:100%;
	box-sizing: border-box;
	margin:3em auto;
}

.login h1,
header nav a
{
	text-align:center;
	font-size:2.5vw;
}

.websites,
.partner
{
	display:flex;
	flex-wrap: wrap;
	margin: 2em -1.25em;
	justify-content: center;
}

.websites > a,
.partner > a
{
	display:block;
	width:50%;
	box-sizing:border-box;
	padding: 1.25em;
	transition: transform .3s;
}

.websites > a.hidden,
.partner > a.hidden
{
	display:none;
}


.websites > a:hover,
.partner > a:hover
{
	transform: scale(1.02);
}

.websites .inner,
.partner .inner
{
	background:white;

	position: relative;
	box-shadow: 1px 1px 4px 0px rgba(0,0,0,0.25);

}

section:nth-child(even) .websites .inner,
section:nth-child(even) .partner .inner
{
	border-color:white;;
}

.websites .image,
.partner .image
{
	padding-top:56%;
	background-size: 100%;
}

.websites .caption
{
	width:100%;
	padding:1em;
	box-sizing: border-box;
	font-family: 'Playfair Display', serif;
	border-top: 1px solid #cccccc;
	font-size: smaller;
	display:flex;
	justify-content: space-between;
	
	
}

.websites a
{
	text-decoration: none;
	font-style: italic;
}

a[data-expand=websites]
{
	display:flex;
	align-items:center;
	justify-content:center;
	border:1px solid #222;
	width:3em;
	height:3em;
	border-radius: 100%;
	margin:3em auto;
	cursor:pointer;
	transition:transform .5s;
}

a[data-expand=websites]:hover
{
	transform:rotate(90deg) scale(1.02);
}

a[data-expand=websites]:after
{
	content:'+';
	font-size:2em;
}

.partner a
{
	width:25%;
}

.partner .image
{
	background:center center/80% no-repeat;
}

.partner .caption
{
	display:none;
}

.products
{
	margin-top:2em;
	margin-bottom:2em;
}

.products img
{
	width:100%;
}

.products h3
{
	text-align:center;
	font-size:2em;
	margin:.5em 0;
	font-weight:normal;
}

.products .row
{
	border-right: 1px solid #f3f3f3;
	border-left: 1px solid #f3f3f3;
}

.products .row > .col
{
	display:flex;
	flex-direction: column;
	padding-top: 1em;
	padding-bottom: 1em;
	flex-basis: 30em;
	
}

.products .stretch
{
	flex: 1 1 auto;
	line-height: 1.5em;
}

.products .button
{
	display:block;
}

.products ul
{
	padding-left:1.5em;
}

.products li
{
	padding:.25em 0;
}

.contact
{
	margin:1em 0;
}

.contact .center
{
	max-width:60rem;
}

.contact .row.padded > .col:first-child
{
	text-align:right;
}

.login .form-warning,
.ajax-form .form-warning,
label.error,
.form-label-group > label.error,
.form-label-group input:not(:placeholder-shown) ~ label.error, 
.form-label-group textarea:not(:placeholder-shown) ~ label.error
{
	text-align:right;
	color:red;
}

.login .form-warning,
.ajax-form .form-warning,
.form-label-group input:not(:-ms-input-placeholder) ~ label.error, 
.form-label-group textarea:not(:-ms-input-placeholder) ~ label.error
{
	text-align:right;
	color:red;
}

small
{
	color:#999;
}


.popup {
	width: 80rem;
}

.badge
{
	z-index:900;
	background:#598002;
	font-size:clamp(1em,1.5vw,5vw);
	width:9em;
	aspect-ratio:1;
	border-radius:50%;
	display:flex;
	flex-direction:column;
	align-items:center;
	justify-content:center;
	text-align:center;
	transform:rotate(-10deg);
	color:white;
	position:absolute;
	right:2.5rem;
	top:10rem;
	transition:transform .25s;
	box-shadow: 1px 1px .5em 0px rgba(0,0,0,0.75);
	padding:.5em;
	font-weight:bold;
	border:.25em solid white;
}

.badge small
{
	color:white;
	font-size:.5em;
	font-weight:normal;
}

.badge:hover
{
	transform:scale(1.1) rotate(-10deg);
}

input[name=Email_Address]{display:none;}

.ajax-loading,
.ajax-error,
.mail.success,
.mail.error
{
	
	background: green;
	padding:3em 1em;
	text-align:center;
	color:white;
}

.ajax-error,
.mail.error
{
	background:red;
}

.ajax-form .ajax-loading,
.ajax-form .ajax-result,
.ajax-form .ajax-error,
.ajax-form.ajax-state-loading form,
.ajax-form.ajax-state-success form
{
	display:none;
}

.ajax-form.ajax-state-loading .ajax-loading,
.ajax-form.ajax-state-success .ajax-result,
.ajax-form.ajax-state-error .ajax-error
{
	display:block;
}

.responsive
{
	aspect-ratio: 16/9;
	position:relative;
}

.consent-cover
{
	position:absolute;
	width:100%;
	height:100%;
	background:rgba(0,0,0,.2);
	display:flex;
	justify-content: center;
	align-items:center;
}

.consent-cover .consent-message
{
	text-align:center;
}

.consent-cover-info
{
	display:flex;
	flex-direction:column;
	align-items: center;
	gap:.5em;
	padding:2em;
}

.consent-dialog
{
	position:sticky;
	bottom:0;
	background:white;
	z-index:1000;
	box-shadow: 3px 3px 10px 0px rgb(50 50 50);
}

.consent-dialog .wrapper
{
	display:flex;
	flex-direction:column;
	gap:.5em;
	margin:auto;
	max-width:80em;
	padding:1em 2em;
}

.toggle-button
{
	font-size:1.4em;
	position:relative;
	width:2em;
	height:1em;
	background:gray;
	box-sizing:border-box;
	border-radius:.5em;
	transition:background .5s;
	cursor:pointer;
}

.toggle-button::after
{
	content:"";
	position:absolute;
	left:0;
	top:0;
	width:calc(1em - 4px);
	height:calc(1em - 4px);
	margin:2px;
	background:white;
	border-radius:.4em;
}

.toggle-button.active
{
	background:green;
}

.toggle-button.active::after
{
	right:0;
	left:auto;
}

a[consent-settings]
{
	cursor: pointer;
}

.consent-settings .tab
{
	border-top:1px solid black;
}

.consent-settings .consent-preferences
{
	border-bottom: 1px solid black;
}

.consent-settings .tab .header
{
	display:flex;
	justify-content: space-between;
	align-items:center;
	gap:.5em;
}

.consent-links
{
	gap:.5em;
	display:inline-flex;
	text-decoration: underline;
	flex-wrap: wrap;
}

.consent-settings .tab [data-toggle]
{
	cursor:pointer;
}


.consent-settings .tab [data-toggle] h2
{
	display: flex;
	gap:.5em;
	align-items: center;
}

.consent-settings .tab [data-toggle] h2:before
{
	display: block;
	content:"+"
}

.consent-settings .tab [data-toggle].active h2:before
{
	content:"-";
}

.consent-settings .tab .body
{
	padding-bottom: 1em;
}

.consent-settings .element
{
	margin:1.5em 0;
}

.tab .body.toggled
{
	display:block;
}

.hidden
{
	display:none;
}

.links .items
{
	display:flex;
	gap: .5em;
	flex-wrap: wrap;
}

.links button
{
	width:auto;
}

.fancybox__container {
	--fancybox-bg: rgba(24, 24, 27, 0.9);
}

@media(max-width:500px), (orientation:portrait) {
	.login .row
	{
		flex-direction: column-reverse;
		min-height:auto;
	}

	.login .col:last-child
	{
		flex:1 1 auto;
		height:60vw;
	}

	.row.padded > .col,
	.login .col:first-child,
	.login .col:last-child
	{
		width:100%;
		box-sizing:border-box;
	}
}

@media(max-width:800px)
{
	.center,
	.login .col:first-child
	{
		padding:1.5rem;
	}
	
	section > h1,
	section > h2,
	section > .typo,
	main .center
	{
		padding: 0 1.5rem;
	}
	
	.badge
	{
		top:6rem;
		right:1.5rem;
	}
	
	header .center,
	footer .center
	{
		padding:1rem 1.5rem;
	}
	
	section
	{
		padding-top:1.5rem;
		padding-bottom:1.5rem;
	}
	
	.websites,
	.partner
	{
		margin-left:-.75em;
		margin-right:-.75em;
	}
	
	.websites > a,
	.partner > a
	{
		padding: .75em;
	}
	
	header
	{
		position:sticky;
		top:0;
	}
	
	.row.padded
	{
		display:block;
		margin: 0 -1.5rem;
	}
	
	.row.padded > .col
	{
		border-right:none;
		padding-left: 1.5rem;
		padding-right: 1.5rem;
	}
	
	.contact .row.padded > .col:first-child
	{
		text-align:left;
	}
	
	header nav a,
	.login h1,
	h1
	{
		font-size:2em;
	}
	
	h2,
	.login h2
	{
		font-size:1.25em;
	}
	
	.products h3
	{
		font-size:1.8em;
	}
	
	.websites a
	{
		width:100%;
	}
	
	.partner a
	{
		width:50%;
	}
}